FROM cherishpf/python3-java8:1.0


WORKDIR ./python_physical_world_v3
ADD . .

RUN echo > /etc/apt/sources.list
RUN echo -e "deb http://mirrors.aliyun.com/debian/ stretch main non-free contrib \ndeb-src http://mirrors.aliyun.com/debian/ stretch main non-free contrib \ndeb http://mirrors.aliyun.com/debian-security stretch/updates main \ndeb-src http://mirrors.aliyun.com/debian-security stretch/updates main \ndeb http://mirrors.aliyun.com/debian/ stretch-updates main non-free contrib \ndeb-src http://mirrors.aliyun.com/debian/ stretch-updates main non-free contrib \ndeb http://mirrors.aliyun.com/debian/ stretch-backports main non-free contrib \ndeb-src http://mirrors.aliyun.com/debian/ stretch-backports main non-free contrib" > /etc/apt/sources.list
RUN apt-get update && apt-get install -y --no-install-recommends \
    build-essential && \
	pip install -r requirements.txt -i https://pypi.tuna.tsinghua.edu.cn/simple/

WORKDIR physical_world_exporter

CMD ["python", "-u","./start-linux.py"]